John Blakley Wed, 11/26/2008 - 07:17

Depends on when you buy it I would assume. 7.0 was what mine shipped with, but I'm up to 8.0 now.

John

Actions

This Discussion